//==============================================================================
// THIS SOFTWARE IS PROVIDED BY ANALOG DEVICES INC. ``AS IS'' AND ANY EXPRESS OR
// IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
// MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, OR NON-INFRINGEMENT, ARE
// DISCLAIMED. IN NO EVENT SHALL ANALOG DEVICES INC. BE LIABLE FOR ANY DIRECT,
// INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
// ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
// POSSIBILITY OF SUCH DAMAGE.
//
// YOU ASSUME ANY AND ALL RISK FROM THE USE OF THIS CODE OR SUPPORT FILE.
//
// IT IS THE RESPONSIBILITY OF THE PERSON INTEGRATING THIS CODE INTO AN
// APPLICATION TO ENSURE THAT THE RESULTING APPLICATION PERFORMS AS REQUIRED
// AND IS SAFE.
//
//     Module       : main.c
//     Description  :
//     Date         : 7. March 2013
//     Version      : v1.00
//     Changelog    : v1.00 Initial
//
//   Simple LED Blink example code for ADuCM360MKZ Evaluation Board
//
//==============================================================================
#include "ADUCM360.h"
void Delay_ms(int mSec);


//==============================================================================
// main
//==============================================================================
int main (void)
{
	// Initialise
	T3CON = 0;  					// Turn off watchdog - is on by default !!!

	// Configure Clocks correctly !!!
	CLKSYSDIV = 0;					// Core clock set to 16MHz - normally it is 8MHz (1) for low power

	CLKCON0 = (7 << 5)|			 	// Clockout = LFOSC for low current operation
              (0 << 3)|				// Clockin  = HFOSC (default)
              (0 << 0);				// Clockdiv = CD = 0 => 16MHz

	// Configure GPIO P1 for LED
	GP1CON = 0x00000000;            // all P1 pin as GPIOs
	GP1OEN = (1 << 3);				// enable P1.3 as output - LED

	GP0PUL = (1 << 3);				// enable P1.3 pull-up

	GP0OUT = (1 << 3);				// P1.3 OFF - LED

	while(1)
    {
		GP1TGL = (1 << 3);  		// Toggle P1.3 - LED
		Delay_ms(100);				// SW delay for approx. 10 Hz @ 16MHz core clock
    }
}

//==============================================================================
// General delay code. Delays approx. in mSec.
//==============================================================================
void Delay_ms(int mSec)
{
  	int d1, d2;
  	d1 = mSec;
  	d2 = mSec;
  	for ( d1 = 0; d1 < mSec; d1++ )
  	{
    	for ( d2 = 0; d2 < 2340; d2++ )
    	{
    	}
  	}
}

//==============================================================================
